{% extends 'base.html.twig' %}

{% block title %}{{ 'login.title'|trans|raw }}{% endblock %}

{% block body %}
    <div class="container">
        <form class="login" method="post">
            <img src="{{ asset("build/images/logo-dealabs-dark.svg") }}" alt="{{ 'logo.alt'|trans|raw }}" width="72" height="72" class="mb-3">

            <h1 class="h3 mb-3 font-weight-normal">{{ 'login.title'|trans|raw }}</h1>

            {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            <div class="mb-3">
                <label for="inputUsername" class="form-label">{{ 'login.username'|trans|raw }}</label>
                <input type="text" class="form-control" id="inputUsername" name="username" placeholder="{{ 'login.username'|trans|raw }}" required autofocus>
            </div>
            <div class="mb-3">
                <label for="inputPassword" class="form-label">{{ 'login.password'|trans|raw }}</label>
                <input type="password" class="form-control" id="inputPassword" name="password" placeholder="{{ 'login.password'|trans|raw }}" required>
            </div>

            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}" >

            {#
            Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
            See https://symfony.com/doc/current/security/remember_me.html

            <div class="mb-3 form-check">
                <input type="checkbox" class="form-check-input" id="exampleCheck1" name="_remember_me">
                <label class="form-check-label" for="exampleCheck1">Se souvenir de moi</label>
            </div>
            #}

            <a href="{{ url('app_forgot_password_request') }}" class="a small text-muted mb-2 d-inline-block">{{ 'login.forgot_password'|trans|raw }}</a>

            <button type="submit" class="btn btn-primary d-block mx-auto mb-3">{{ 'login.send'|trans|raw }}</button>

            <a href="{{ url('app_signin') }}" class="a small">{{ 'login.signin'|trans|raw }}</a>
        </form>
    </div>
{% endblock %}
